Page MenuHomePhabricator

Cannot boot on HyperV
Closed, WontfixPublicBUG

Description

Hello.
I try to use latest rolling release on Win10, hypervisor Hyper-V and get multiple errors:

[   10.516951] atkbd serio0: Use 'setkeycode e03a <keycode>' to make it known.
[   10.520415] atkbd serio0: Unknown key released (translated set 2, code 0xba on isa0060/serio0).

I tried upgrade from 1.1.8 and clear install, but got this error.

Screen

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rolling+201804190337
Why the issue appeared?
Will be filled on close

Event Timeline

WiXZlo created this task.Apr 19 2018, 10:06 AM
WiXZlo updated the task description. (Show Details)
WiXZlo updated the task description. (Show Details)Apr 19 2018, 10:08 AM
c-po added a subscriber: c-po.Apr 19 2018, 7:30 PM

VyOS 1.1.8 is not supported on Hyper-V (lack of drivers inside the Kernel).
You should start of by getting a copy of VyOS 1.2.0+rolling.

I just tested it out ...

c-po added a subscriber: syncer.Apr 19 2018, 7:31 PM

@syncer I vote for "Wontfix"

Hmm..
I added RAM to VM (256MB->300MB) and booted without error.
Tested on vyos-1.2.0-rolling+201804200337

Merijn added a subscriber: Merijn.Apr 23 2018, 5:43 PM

I am running several Vyos instances on Hyper-V and can confirm that 1.1.7 and 1.1.8 are running without issues.
For memory we use 512MB and never have any issues.

c-po moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.May 1 2018, 4:29 PM
syncer closed this task as Wontfix.May 27 2018, 9:57 AM
syncer claimed this task.
syncer edited projects, added Rejected; removed VyOS 1.2 Crux.Oct 15 2018, 6:30 AM